<template>
<div id="wrapper">
  <app-sidebar></app-sidebar>

  <div id="page-wrapper" class="gray-bg">

    <app-header></app-header>

    <router-view></router-view>

    <app-footer></app-footer>
  </div>
</div>
</template>

<script>
  import inspinia from '../../inspinia/js/inspinia.js'
  import AppHeader from './AppHeader'
  import AppSidebar from './AppSidebar'
  import AppFooter from './AppFooter.vue'

  export default {
    components: {
      'app-header': AppHeader,
      'app-sidebar': AppSidebar,
      'app-footer': AppFooter
    },
    created () {
      $('body').removeClass('gray-bg')
      
      inspinia.initialize();
    }
  }
</script>